D_ADD_UNIQUE(9)

NAME
d_add_unique - add dentry to hash queues without aliasing

SYNOPSIS

struct dentry * d_add_unique (struct dentry * entry, struct inode * inode);

ARGUMENTS

entry
    dentry to add

inode
    The inode to attach to this dentry

DESCRIPTION

This adds the entry to the hash queues and initializes inode. The entry was actually filled in earlier during d_alloc.